For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send the Invoice via Email

Faturayı mail olarak gönderir.

post
Authorizations
HTTPRequired

API Key Giriniz

Body
UUIDstring · uuidOptional
emailAddressesstring[] · nullableOptional
Responses
200

Faturayı mail olarak gönderir.

application/json
stringOptional
post/Purchase/Email/Send
POST /einvoice/Purchase/Email/Send HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 73

{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "emailAddresses": [
    "text"
  ]
}
text
var client = new RestClient("https://apitest.nilvera.com/einvoice/Purchase/Email/Send");
client.Timeout = -1;
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{"UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"emailAddresses": ["string"]}";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Purchase/Email/Send',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "emailAddresses": [
    "string"
  ]
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated